Loading...
Searching...
No Matches
snd_ump_msg_midi1_t Union Reference

`#include <ump_msg.h>`

## Data Fields

snd_ump_msg_midi1_note_t | note_on
snd_ump_msg_midi1_note_t | note_off
snd_ump_msg_midi1_paf_t | poly_pressure
snd_ump_msg_midi1_cc_t | control_change
snd_ump_msg_midi1_program_t | program_change
snd_ump_msg_midi1_caf_t | channel_pressure
snd_ump_msg_midi1_pitchbend_t | pitchbend
snd_ump_msg_system_t | system
snd_ump_msg_hdr_t | hdr
uint32_t | raw

## Detailed Description

MIDI 1.0 UMP CVM (32bit)

## Field Documentation

## channel_pressure

snd_ump_msg_midi1_caf_t snd_ump_msg_midi1_t::channel_pressure

MIDI1 channel-pressure message

## control_change

snd_ump_msg_midi1_cc_t snd_ump_msg_midi1_t::control_change

MIDI1 control-change message

## hdr

snd_ump_msg_hdr_t snd_ump_msg_midi1_t::hdr

UMP header

## note_off

snd_ump_msg_midi1_note_t snd_ump_msg_midi1_t::note_off

MIDI1 note-off message

## note_on

snd_ump_msg_midi1_note_t snd_ump_msg_midi1_t::note_on

MIDI1 note-on message

## pitchbend

snd_ump_msg_midi1_pitchbend_t snd_ump_msg_midi1_t::pitchbend

MIDI1 pitch-bend message

## poly_pressure

snd_ump_msg_midi1_paf_t snd_ump_msg_midi1_t::poly_pressure

MIDI1 poly-pressure message

## program_change

snd_ump_msg_midi1_program_t snd_ump_msg_midi1_t::program_change

MIDI1 program-change message

## raw

uint32_t snd_ump_msg_midi1_t::raw

raw UMP packet

## system

snd_ump_msg_system_t snd_ump_msg_midi1_t::system

system message

The documentation for this union was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h